ともよちゃんの執事bot を作る。(6)

とのありがたい助言を受け、さっきのやつに一行足しました。

require 'rubygems'
require 'oauth'
require 'twitter'

consumer_key = 'kFQapほにゃほにゃ'
consumer_secret = 'nVE9Gほにゃ'
access_token = '31085ほにゃほにゃ'
access_token_secret = 'qPCcoほにゃほにゃ'

consumer = OAuth::Consumer.new(consumer_key, consumer_secret, 
								:site => "http://twitter.com")

oauth = Twitter::OAuth.new(consumer_key, consumer_secret)
oauth.authorize_from_access(access_token, access_token_secret)
twitter_client = Twitter::Base.new(oauth)


twitter_client.update("Hello, World!")

今日の❀エラー
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- twitter (LoadError)
from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from bot_hello.rb:3

ノー・サッチ・ファイル・ツー・ロード -- ついっター(ロードエラー)
って書いてる...

うーん...?
require 'twitter'
したのに、なんでー?(課題)

メモ:"sudo gem install twitter" する(明日)
   "sudo gem install oauth" (?) もする(明日)